Fetches Vendors by search criteria
curl --request POST \
--url https://external.pleo.io/v1/vendors:search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json;charset=UTF-8' \
--data '
{
"accountingSystems": [
"<string>"
],
"codes": [
"<string>"
],
"countries": [
"DK"
],
"externalIds": [
"<string>"
],
"ids": [
"123e4567-e89b-12d3-a456-426614174000"
],
"name": "Pleo",
"states": [],
"taxRegistrationNumbers": [
"<string>"
]
}
'import requests
url = "https://external.pleo.io/v1/vendors:search"
payload = {
"accountingSystems": ["<string>"],
"codes": ["<string>"],
"countries": ["DK"],
"externalIds": ["<string>"],
"ids": ["123e4567-e89b-12d3-a456-426614174000"],
"name": "Pleo",
"states": [],
"taxRegistrationNumbers": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json;charset=UTF-8"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/json;charset=UTF-8'
},
body: JSON.stringify({
accountingSystems: ['<string>'],
codes: ['<string>'],
countries: ['DK'],
externalIds: ['<string>'],
ids: ['123e4567-e89b-12d3-a456-426614174000'],
name: 'Pleo',
states: [],
taxRegistrationNumbers: ['<string>']
})
};
fetch('https://external.pleo.io/v1/vendors:search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://external.pleo.io/v1/vendors:search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'accountingSystems' => [
'<string>'
],
'codes' => [
'<string>'
],
'countries' => [
'DK'
],
'externalIds' => [
'<string>'
],
'ids' => [
'123e4567-e89b-12d3-a456-426614174000'
],
'name' => 'Pleo',
'states' => [
],
'taxRegistrationNumbers' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json;charset=UTF-8"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://external.pleo.io/v1/vendors:search"
payload := strings.NewReader("{\n \"accountingSystems\": [\n \"<string>\"\n ],\n \"codes\": [\n \"<string>\"\n ],\n \"countries\": [\n \"DK\"\n ],\n \"externalIds\": [\n \"<string>\"\n ],\n \"ids\": [\n \"123e4567-e89b-12d3-a456-426614174000\"\n ],\n \"name\": \"Pleo\",\n \"states\": [],\n \"taxRegistrationNumbers\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json;charset=UTF-8")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://external.pleo.io/v1/vendors:search")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json;charset=UTF-8")
.body("{\n \"accountingSystems\": [\n \"<string>\"\n ],\n \"codes\": [\n \"<string>\"\n ],\n \"countries\": [\n \"DK\"\n ],\n \"externalIds\": [\n \"<string>\"\n ],\n \"ids\": [\n \"123e4567-e89b-12d3-a456-426614174000\"\n ],\n \"name\": \"Pleo\",\n \"states\": [],\n \"taxRegistrationNumbers\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://external.pleo.io/v1/vendors:search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json;charset=UTF-8'
request.body = "{\n \"accountingSystems\": [\n \"<string>\"\n ],\n \"codes\": [\n \"<string>\"\n ],\n \"countries\": [\n \"DK\"\n ],\n \"externalIds\": [\n \"<string>\"\n ],\n \"ids\": [\n \"123e4567-e89b-12d3-a456-426614174000\"\n ],\n \"name\": \"Pleo\",\n \"states\": [],\n \"taxRegistrationNumbers\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": [
{
"companyId": "c082afd8-c1d2-46ee-8f56-1512638f0e67",
"defaultCurrency": "DKK",
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Pleo",
"state": "DRAFT",
"accountingSystem": "<string>",
"code": "<string>",
"country": "DK",
"createdAt": "2023-11-07T05:31:56Z",
"externalId": "<string>",
"registrationNumber": "<string>",
"taxRegistrationNumber": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"currentRequestPagination": {
"parameters": {},
"after": "<string>",
"before": "<string>",
"limit": 123,
"offset": 123,
"sortingKeys": [
"<string>"
],
"sortingOrder": [
"ASC"
]
},
"hasNextPage": true,
"hasPreviousPage": true,
"endCursor": "<string>",
"startCursor": "<string>",
"total": 123
}
}Vendors API
Fetches Vendors by search criteria
Retrieves a list of vendors with filters. Results are paginated.
POST
/
v1
/
vendors:search
Fetches Vendors by search criteria
curl --request POST \
--url https://external.pleo.io/v1/vendors:search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json;charset=UTF-8' \
--data '
{
"accountingSystems": [
"<string>"
],
"codes": [
"<string>"
],
"countries": [
"DK"
],
"externalIds": [
"<string>"
],
"ids": [
"123e4567-e89b-12d3-a456-426614174000"
],
"name": "Pleo",
"states": [],
"taxRegistrationNumbers": [
"<string>"
]
}
'import requests
url = "https://external.pleo.io/v1/vendors:search"
payload = {
"accountingSystems": ["<string>"],
"codes": ["<string>"],
"countries": ["DK"],
"externalIds": ["<string>"],
"ids": ["123e4567-e89b-12d3-a456-426614174000"],
"name": "Pleo",
"states": [],
"taxRegistrationNumbers": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json;charset=UTF-8"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/json;charset=UTF-8'
},
body: JSON.stringify({
accountingSystems: ['<string>'],
codes: ['<string>'],
countries: ['DK'],
externalIds: ['<string>'],
ids: ['123e4567-e89b-12d3-a456-426614174000'],
name: 'Pleo',
states: [],
taxRegistrationNumbers: ['<string>']
})
};
fetch('https://external.pleo.io/v1/vendors:search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://external.pleo.io/v1/vendors:search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'accountingSystems' => [
'<string>'
],
'codes' => [
'<string>'
],
'countries' => [
'DK'
],
'externalIds' => [
'<string>'
],
'ids' => [
'123e4567-e89b-12d3-a456-426614174000'
],
'name' => 'Pleo',
'states' => [
],
'taxRegistrationNumbers' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json;charset=UTF-8"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://external.pleo.io/v1/vendors:search"
payload := strings.NewReader("{\n \"accountingSystems\": [\n \"<string>\"\n ],\n \"codes\": [\n \"<string>\"\n ],\n \"countries\": [\n \"DK\"\n ],\n \"externalIds\": [\n \"<string>\"\n ],\n \"ids\": [\n \"123e4567-e89b-12d3-a456-426614174000\"\n ],\n \"name\": \"Pleo\",\n \"states\": [],\n \"taxRegistrationNumbers\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json;charset=UTF-8")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://external.pleo.io/v1/vendors:search")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json;charset=UTF-8")
.body("{\n \"accountingSystems\": [\n \"<string>\"\n ],\n \"codes\": [\n \"<string>\"\n ],\n \"countries\": [\n \"DK\"\n ],\n \"externalIds\": [\n \"<string>\"\n ],\n \"ids\": [\n \"123e4567-e89b-12d3-a456-426614174000\"\n ],\n \"name\": \"Pleo\",\n \"states\": [],\n \"taxRegistrationNumbers\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://external.pleo.io/v1/vendors:search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json;charset=UTF-8'
request.body = "{\n \"accountingSystems\": [\n \"<string>\"\n ],\n \"codes\": [\n \"<string>\"\n ],\n \"countries\": [\n \"DK\"\n ],\n \"externalIds\": [\n \"<string>\"\n ],\n \"ids\": [\n \"123e4567-e89b-12d3-a456-426614174000\"\n ],\n \"name\": \"Pleo\",\n \"states\": [],\n \"taxRegistrationNumbers\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": [
{
"companyId": "c082afd8-c1d2-46ee-8f56-1512638f0e67",
"defaultCurrency": "DKK",
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Pleo",
"state": "DRAFT",
"accountingSystem": "<string>",
"code": "<string>",
"country": "DK",
"createdAt": "2023-11-07T05:31:56Z",
"externalId": "<string>",
"registrationNumber": "<string>",
"taxRegistrationNumber": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"currentRequestPagination": {
"parameters": {},
"after": "<string>",
"before": "<string>",
"limit": 123,
"offset": 123,
"sortingKeys": [
"<string>"
],
"sortingOrder": [
"ASC"
]
},
"hasNextPage": true,
"hasPreviousPage": true,
"endCursor": "<string>",
"startCursor": "<string>",
"total": 123
}
}Authorizations
bearerAuthbasicAuth
Query Parameters
Body
application/json;charset=UTF-8
Only return Vendors with the given country codes.
Maximum array length:
100Country of registration of the Vendor (ISO 3166-1 alpha-2 country code (2 letters))
Available options:
UNDEFINED, AC, AD, AE, AF, AG, AI, AL, AM, AN, AO, AQ, AR, AS, AT, AU, AW, AX, AZ, BA, BB, BD, BE, BF, BG, BH, BI, BJ, BL, BM, BN, BO, BQ, BR, BS, BT, BU, BV, BW, BY, BZ, CA, CC, CD, CF, CG, CH, CI, CK, CL, CM, CN, CO, CP, CR, CS, CU, CV, CW, CX, CY, CZ, DE, DG, DJ, DK, DM, DO, DZ, EA, EC, EE, EG, EH, ER, ES, ET, EU, EZ, FI, FJ, FK, FM, FO, FR, FX, GA, GB, GD, GE, GF, GG, GH, GI, GL, GM, GN, GP, GQ, GR, GS, GT, GU, GW, GY, HK, HM, HN, HR, HT, HU, IC, ID, IE, IL, IM, IN, IO, IQ, IR, IS, IT, JE, JM, JO, JP, KE, KG, KH, KI, KM, KN, KP, KR, KW, KY, KZ, LA, LB, LC, LI, LK, LR, LS, LT, LU, LV, LY, MA, MC, MD, ME, MF, MG, MH, MK, ML, MM, MN, MO, MP, MQ, MR, MS, MT, MU, MV, MW, MX, MY, MZ, NA, NC, NE, NF, NG, NI, NL, NO, NP, NR, NT, NU, NZ, OM, PA, PE, PF, PG, PH, PK, PL, PM, PN, PR, PS, PT, PW, PY, QA, RE, RO, RS, RU, RW, SA, SB, SC, SD, SE, SF, SG, SH, SI, SJ, SK, SL, SM, SN, SO, SR, SS, ST, SU, SV, SX, SY, SZ, TA, TC, TD, TF, TG, TH, TJ, TK, TL, TM, TN, TO, TP, TR, TT, TV, TW, TZ, UA, UG, UK, UM, US, UY, UZ, VA, VC, VE, VG, VI, VN, VU, WF, WS, XI, XU, XK, YE, YT, YU, ZA, ZM, ZR, ZW Only return Vendors with the given states.
Maximum array length:
4Current state of the Vendor. ACTIVE means the vendor is in-sync with target ERP/accounting system. DRAFT means the vendor needs to be created in the target ERP/accounting system.
Available options:
DRAFT, ACTIVE, ARCHIVED Was this page helpful?